Bug 556377 - [abrt] crash in wallpapoz-0.4.1-11.svn92_trunk.fc12
Summary: [abrt] crash in wallpapoz-0.4.1-11.svn92_trunk.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: rawhide
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c4040d73
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-18 06:33 UTC by phenix
Modified: 2010-02-18 22:30 UTC (History)
1 user (show)

Fixed In Version: wallpapoz-0.4.1-15.svn92_trunk.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-18 22:20:10 UTC


Attachments (Terms of Use)
File: backtrace (818 bytes, text/plain)
2010-01-18 06:33 UTC, phenix
no flags Details

Description phenix 2010-01-18 06:33:18 UTC
abrt 1.0.2 detected a crash.

backtrace
-----
Summary: TBc4040d73 wallpapoz_system.py:58:finding_total_workspaces:ValueError: invalid literal for int() with base 10: ''

Traceback (most recent call last):
  File "/usr/libexec/daemon_wallpapoz", line 90, in <module>
    wallpapozxml = XMLProcessing()
  File "../share/wallpapoz/lib/xml_processing.py", line 49, in __init__
    wallpapoz_system = WallpapozSystem()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 38, in __init__
    self.finding_total_workspaces()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 58, in finding_total_workspaces
    self.total_workspaces = int(os.popen("xprop -root _NET_NUMBER_OF_DESKTOPS").read()[36:38])
ValueError: invalid literal for int() with base 10: ''

Local variables in innermost frame:
self: <wallpapoz_system.WallpapozSystem instance at 0x88eadcc>

cmdline: python /usr/libexec/daemon_wallpapoz 
component: wallpapoz
executable: /usr/libexec/daemon_wallpapoz
kernel: 2.6.32.3-21.fc13.i686
package: wallpapoz-0.4.1-11.svn92_trunk.fc12
uuid: c4040d73

Comment 1 phenix 2010-01-18 06:33:21 UTC
Created attachment 385015 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-01-18 14:27:03 UTC
Please give me the following information
- the detailed procedure to reproduce this issue
- the file ~/.wallpapoz itself
- the number of workspaces
- desktop environment you are using
- whether you have some desktop effects enabled or not
- what the following command
--------------------------------------------------------
$ xprop -root _NET_NUMBER_OF_DESKTOPS
--------------------------------------------------------
  when this issue happens

Comment 3 Fedora Update System 2010-02-03 20:30:49 UTC
wallpapoz-0.4.1-12.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-12.svn92_trunk.fc12

Comment 4 Fedora Update System 2010-02-03 20:31:18 UTC
wallpapoz-0.4.1-12.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-12.svn92_trunk.fc11

Comment 5 Fedora Update System 2010-02-05 01:39:31 UTC
wallpapoz-0.4.1-12.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1483

Comment 6 Fedora Update System 2010-02-08 18:57:02 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-15.svn92_trunk.fc12

Comment 7 Fedora Update System 2010-02-08 18:58:36 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-15.svn92_trunk.fc11

Comment 8 Fedora Update System 2010-02-09 21:01:29 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1687

Comment 9 Fedora Update System 2010-02-18 22:19:31 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-02-18 22:30:07 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.